Subject: [SIP] some problem in SIP call flow

From: "rahul pande" <[email-masked]>
Date: Wed, 09 Aug 2000 13:18:06 GMT

Earlier also i posted the query but it was not in readable format, So i have 
done some reformatting :-

CALLER::                               CALLEE::
INVITE                                 200 ok

v=0                                    v=0
c=IN IP4 127.80.1.112                  c=IN IP4 127.81.2.113
......	                               .......
m=audio 3241 RTP/AVP 0	               m=??????????????
a=recvonly
m=vedio 3342 RTP/AVP 1                 m=vedio 3352 RTP/AVP 1

Now the callee has only two options with the first media stream that
he can accept or reject.

CASE 1 (ACCEPT)
   The response in place of the ??????????????? would be :
           m=audio 0 RTP/AVP 0 (since port no. does not have any sign.)

************************************************************************
Since the RFC says "For send-only streams, the address and port
number have no significance and SHOULD be set to zero."
************************************************************************

So,should i always specify a corres. "c=" for the above such as :
          c=IN IP4 0.0.0.0
    or
          m=audio 2134 RTP/AVP 0 (RTCP port ---according to bis)

CASE 2 (REJECT)
   if we follow the bis we won't have any problems since just
   putting the port to 0 will suffice but with the present RFC how
   will we inform the other side that we want to reject this media
   stream since port zero is sent when he accepts the media stream,
   would the address field in "c=" line be seen to check if its a
   reject or an accept i.e. whether address in c= is 0 or <>0
   corresponding to a port 0 in m= line.

________________________________________________________________________
Get Your Private, Free E-mail from MSN Hotmail at http://www.hotmail.com

_______________________________________________
SIP mailing list
[email-masked]
http://lists.bell-labs.com/mailman/listinfo/sip